Bug 3944 - no weak symbols for overriding functions in glibc-2.1-6
no weak symbols for overriding functions in glibc-2.1-6
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-08 02:31 EDT by Tim Potter
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-07-28 01:20:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Potter 1999-07-08 02:31:44 EDT
There don't seem to be any weak symbols for (at least) the
fd I/O functions which makes it impossible to wrap libc
functions using the standard _fname or __fname trick.  I'm
trying to build the smbwrapper program from the Samba
source.  They seemed to be present in glibc-2.0.

acronym:/scratch/1/lib$ nm libc-2.0.7.so | grep opendir
0005ae80 T __opendir
0005ae80 W opendir

acronym:/scratch/1/lib$ nm /lib/libc-2.1.1.so | grep opendir
0008b4a0 t __opendir
0008b4a0 W opendir
Comment 1 Cristian Gafton 1999-07-28 01:20:59 EDT
the __xxx symbols are internal to glibc and should not be used. A new
version of smbmount should fix this.

Note You need to log in before you can comment on or make changes to this bug.